<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class HinterlegungBasysBenutzer extends HinterlegungDialogBasis
{
  
  public $data;

  
  public function __construct()
  {
    parent::__construct();

    $dbwhldoztyp = new DBWorkBASysUser();

    $this->data = $dbwhldoztyp->getBASysUsers();
  }

  
  public function GetColumnCount()
  {
    return 3;
  }

  
  public function GetColumnTitle($col)
  {
    switch ($col) {
      case 0: return 'Schl.';
      case 1: return 'Name';
      case 2: return 'Vorname';
    }

    return '';
  }

  
  public function GetColumnWidth($col)
  {
    switch ($col) {
      case 0: return '10%';
      case 1: return '45%';
      case 2: return '45%';
    }

    return '';
  }

  
  public function GetIdColumnIndices()
  {
    return array(0);
  }

  
  public function GetRowCount()
  {
    return count($this->data);
  }

  
  public function GetValueAt($row, $col)
  {
    switch ($col) {
      case 0: return $this->data[$row]->kennung;
      case 1: return isset($this->data[$row]->text) ? $this->data[$row]->text : '';
      case 2: return $this->data[$row]->name;
    }
  }
}